package _06_综合练习;

import java.util.Random;

public class Test6 {
    public static void main(String[] args) {
        /**
         * 验证码格式：
         * ​	长度为5
         * ​	前四位是大写字母或者小写字母
         * ​	最后一位是数字
         * 实现的思路
         * 1 先创建出来一个数组char[52]
         * 2 把a-z 和A-Z 放到字符数组当中
         * 3 穿件出来一个String code
         * 4 遍历4次
         *   遍历生成随机数  random.nextInt(chars.length);  a+  b + A + L
         * 5 生成一个数字 0-9
         * 6 拼接数字
         */
        char[] chars = new char[52];
        for (int i = 0; i < chars.length; i++) {
            // a-z
            if(i <= 25){
                chars[i] = (char) (97 + i);
            }else{
                // A-Z
                chars[i] = (char) (65 + i- 26) ;
            }
        }
        // 创建除一个字符串
        String code = "";
        // 拼接前4个字符
        Random random = new Random();
        for (int i = 0; i < 4; i++) {
            int randomIndex = random.nextInt(chars.length);
            code += chars[randomIndex];
        }
        System.out.println(code + random.nextInt(10));
        for (char aChar : chars) {
            System.out.print(aChar +" ");
        }
    }
}
